Page MenuHomePhabricator

[Regression] Citoid-created references do not appear in the re-use menu or in <references /> until after the page is saved
Closed, ResolvedPublic1 Story Points

Event Timeline

Neil_P._Quinn_WMF raised the priority of this task from to High.
Neil_P._Quinn_WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2015, 6:33 PM
Neil_P._Quinn_WMF set Security to None.
Neil_P._Quinn_WMF removed Esanders as the assignee of this task.Jun 13 2015, 6:11 AM
Elitre added a subscriber: Elitre.Jun 15 2015, 5:18 PM

How does this relate to T100018?

Jdforrester-WMF raised the priority of this task from High to Unbreak Now!.Jun 16 2015, 12:13 AM

@Elitre, @Jdforrester-WMF, this now seems to be the same as T100018. It was definitely behaving much worse on Saturday (especially on the beta cluster), but I guess that was just transient weirdness? Merging the other bug here because this has more activity.

Neil_P._Quinn_WMF renamed this task from [Regression] <references /> tag does not auto-update when a new citation is added to [Regression] Citoid-created references do not appear in the re-use menu or in <references /> until after the page is saved.Jun 16 2015, 1:32 AM
Neil_P._Quinn_WMF updated the task description. (Show Details)
Neil_P._Quinn_WMF added a project: Citoid.
Neil_P._Quinn_WMF added a subscriber: VisualEditor.

Change 218612 had a related patch set uploaded (by Esanders):
Remove placeholder status from citations before inserting

https://gerrit.wikimedia.org/r/218612

Change 218612 merged by jenkins-bot:
Remove placeholder status from citations before inserting

https://gerrit.wikimedia.org/r/218612

Jdforrester-WMF closed this task as Resolved.Jun 16 2015, 3:18 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2014/15 Q4 blockers board.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.Jun 17 2015, 11:32 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 3 2016, 11:16 PM